Subject: Re: [bug#68757] [PATCH v3 1/1] services: dns: Add unbound service

From: Sören Tempel <[email-masked]>
Date: Sun, 12 Jan 2025 11:42:43 +0100

Hi Ludo,

Thanks for applying the patchset and the fixes that you added on top.
However, it seems you committed the v3 of the patchset by accident,
instead of the v4. I forgot to CC you in the v4, so you probably didn't
see it (sorry for that!).

I created #75513 to re-add the small changes from the v4:

	https://debbugs.gnu.org/cgi/bugreport.cgi?bug=75513

Sorry for the inconvenience and thanks for your patience!

Greetings
Sören

Ludovic Courtès <[email-masked]> wrote:
> Hello,
> 
> [email-masked] skribis:
> 
> > From: Sören Tempel <[email-masked]>
> >
> > This allows using Unbound as a local DNSSEC-enabled resolver. This
> > commit also allows configuration of the Unbound DNS resolver via a
> > Scheme API. The API currently provides very common options and
> > includes an escape hatch to enable less common configurations.
> >
> > * gnu/service/dns.scm (unbound-serialize-field): New procedure.
> > * gnu/service/dns.scm (unbound-serialize-alist): New procedure.
> > * gnu/service/dns.scm (unbound-serialize-section): New procedure.
> > * gnu/service/dns.scm (unbound-serialize-string): New procedure.
> > * gnu/service/dns.scm (unbound-serialize-boolean): New procedure.
> > * gnu/service/dns.scm (unbound-serialize-list-of-strings): New procedure.
> > * gnu/service/dns.scm (unbound-zone): New record.
> > * gnu/service/dns.scm (unbound-serialize-unbound-zone): New procedure.
> > * gnu/service/dns.scm (unbound-serialize-list-of-unbound-zone): New procedure.
> > * gnu/service/dns.scm (unbound-remote): New record.
> > * gnu/service/dns.scm (unbound-serialize-unbound-remote): New procedure.
> > * gnu/service/dns.scm (unbound-server): New record.
> > * gnu/service/dns.scm (unbound-serialize-unbound-server): New procedure.
> > * gnu/service/dns.scm (unbound-configuration): New record.
> > * gnu/service/dns.scm (unbound-config-file): New procedure.
> > * gnu/service/dns.scm (unbound-shepherd-service): New procedure.
> > * gnu/service/dns.scm (unbound-account-service): New constant.
> > * gnu/service/dns.scm (unbound-service-type): New services.
> > * gnu/tests/dns.scm: New file.
> > * gnu/local.mk: Add new files.
> > * doc/guix.texi: Add documentation.
> >
> > Signed-off-by: Sören Tempel <[email-masked]>
> 
> Applied with the cosmetic changes below and tweaks to the commit log,
> such as remove repetitions of the file name.
> 
> Thanks!
> 
> Ludo’.